Bug 519098 - grub cannot write bootrecord on linear filesystem (RAID0,dmraid): ERROR 18
Summary: grub cannot write bootrecord on linear filesystem (RAID0,dmraid): ERROR 18
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: grub
Version: 6.0
Hardware: x86_64
OS: Linux
low
high
Target Milestone: alpha
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 07:00 UTC by Winfrid Tschiedel
Modified: 2010-07-08 14:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-08 14:41:30 UTC


Attachments (Terms of Use)
grub commands to write the bootrecord into the rootpartition (1.32 KB, text/plain)
2009-08-25 07:00 UTC, Winfrid Tschiedel
no flags Details

Description Winfrid Tschiedel 2009-08-25 07:00:21 UTC
Created attachment 358527 [details]
grub commands to write the bootrecord into the rootpartition

Description of problem:
I have Fujitsu rx220 with Promise FastTrak S150 TX4 SATA Raidcontroller.
I tried to install with grub a bootrecord into the rootpartition.
Assignment of the rootpartition fails with 
Error 18: Selected cylinder exceeds maximum supported by BIOS

Version-Release number of selected component (if applicable):
grub-0.97-50.fc11.x86_64


How reproducible:
always

Steps to Reproduce:
1. Have a system with SATA-RAID 
2. Install rhel6 as a second system - bootrecord placed in rootpartition
3. write a new boot record into the rootpartition
  
Actual results:
grub fails to write a bootrecord


Expected results:
successful completion

Additional info:
There was no problem to write the bootrecord with openSUSE 11.2
uname -a
Linux rx220a 2.6.31-rc6-3-desktop #1 SMP PREEMPT 2009-08-17 21:11:11 +0200 x86_64 x86_64 x86_64 GNU/Linux
rx220a:~ # rpm -qa | grep grub
grub-0.97-160.3

Installation of rhel6 finished without problems, but I suppose that 
writing of bootrecord was not sucessful or format was incorrect -
because I could not boot with chainloading -
I could only boot rhel6 via configfile /boot/grub/grub.conf

Comment 2 RHEL Product and Program Management 2009-08-25 07:46:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Winfrid Tschiedel 2009-08-25 08:59:46 UTC
(In reply to comment #2)
> This request was evaluated by Red Hat Product Management for inclusion in a Red
> Hat Enterprise Linux major release.  Product Management has requested further
> review of this request by Red Hat Engineering, for potential inclusion in a Red
> Hat Enterprise Linux Major release.  This request is not yet committed for
> inclusion.  

I don't understand this answer - 
it is bug, and not a request for a feature.

Winfrid

Comment 4 Peter Jones 2010-02-02 18:28:14 UTC
Can you show us what "parted $PATH_TO_DISK p" says on that device?

Comment 5 Peter Jones 2010-02-02 22:36:06 UTC
Also, please try:

1) write out a correct /boot/grub/device.map.  It should have something like this in it:

(hd0) /dev/mapper/pdc_bjfeeibeeb

2) run "grub-install /dev/mapper/pdc_bjfeeibeeb".

See if this works better.

Comment 6 Gary Smith 2010-04-15 09:02:48 UTC
Hi Peter / Winfrid


Winfrid retired from Fujitsu some months back, so he may not have access to this system any longer.

I have a TX150S5 with Promise Fastrak TX4 Fake RAID controller in the Farnborough Lab, that was used to resolve another issue on Fedora/RHEL5 in BZ#509962.

It may be that this issue in RHEL6 was also resolved, so I'll try the latest RHEL6 build when I get an opportunity, and report back.


Regards, Gary

Comment 8 Winfrid Tschiedel 2010-04-15 10:51:23 UTC
Hi Peter,

Gary is right - I have currently no system to test rhel 6 with linear raid.
Please try to get support from Gary.

Thank you,

Winfrid

Comment 9 Gary Smith 2010-05-21 22:53:26 UTC
Hi Peter


Sorry, I've not had an opportunity to test this out on the RX220 (not TX150) we have in FAB.

Otherwise, I'm sure I can arrange remote access if that would be suitable?

I'll get back to looking into asap next week.


Regards, Gary

Comment 10 Peter Jones 2010-06-14 21:24:34 UTC
Hi Gary, any progress on testing this?


Note You need to log in before you can comment on or make changes to this bug.